Foreman - Bug #15783

Intermittent PuppetclassLookupKeyJSTest.test_0002_uncheck override test failure
07/22/2016 06:24 AM - Dominic Cleal

Status: Resolved
Priority: Normal
Assignee: Ivan Necas
Category: Tests
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
The test PuppetclassLookupKeyJSTest.test_0002_uncheck override has been failing intermittently at these locations:

PuppetclassLookupKeyJSTest.test_0002_uncheck override

Took 3.9 sec.

Failed assertion, no message given. (Minitest::Assertion)
/var/lib/workspace/workspace/test_develop_pr_core/database/postgresqgl/label/fast/ruby/2.1/test/int
egration/puppetclass_lookup_key_Js_test.rb:37

(at commit 29ff66614d2fefab3dcac452b5a2c46d3d3ffabb)

PuppetclassLookupKeyJSTest.test_0002_uncheck override

Took 32 sec.

Capybara: :ElementNotFound: Unable to find css "#puppetclass_lookup_key_hidden_value"
test/integration/puppetclass_lookup_key_Jjs_test.rb:19:in “block in <class:PuppetclassLookupKey

JSTest>"' (Capybara::ElementNotFound)

/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-0/gems/capybara-2.7.1/1ib/capybara/node/finders.rb:44

(at commit d9cc252b6845e38bf721ea68503aa2a677c44575)
Also a related test:

PuppetclassLookupKeyJdSTest.test_0001_can hide value when overriden

Took 32 sec.

Capybara: :ElementNotFound: Unable to find css "#puppetclass_lookup_key_hidden_value:enabled"
test/integration/puppetclass_lookup_key_Jjs_test.rb:10:in “block in <class:PuppetclassLookupKey

JSTest>'"' (Capybara::ElementNotFound)

/usr/local/rvm/gems/ruby-2.0.0-p353Q@test_develop-0/gems/capybara-2.7.1/1lib/capybara/node/finders.r

b:44

(at commit d9cc252b6845e38bf721ea68503aa2a677¢c44575)

History

#1 - 07/22/2016 06:30 AM - Dominic Cleal

- Description updated

#2 - 07/22/2016 06:44 AM - Ivan Necas
- Status changed from New to Assigned

- Assignee set to Ivan Necas

#3 - 05/17/2017 05:45 PM - Anonymous

what's the status here?

05/20/2024 12




#4 - 08/06/2017 07:09 AM - Anonymous

- Status changed from Assigned to Resolved
